classification
Title: "-X faulthandler" is not documented in -X option docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ramchandra Apte, asvetlov, docs@python, ezio.melotti, haypo, mrshu, petri.lehtinen, python-dev
Priority: normal Keywords: patch

Created on 2012-10-15 15:05 by Ramchandra Apte, last changed 2012-10-25 08:39 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
issue16241.diff mrshu, 2012-10-23 11:24 review
Messages (11)
msg172980 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-10-15 15:05
http://docs.python.org/release/3.3.0/using/cmdline.html#cmdoption-X says "CPython currently defines none of them..." But in Python 3.3, "faulthandler" can be passed to the option.
msg173591 - (view) Author: Marek Šuppa (mrshu) * Date: 2012-10-23 11:24
The appended diff tries to explain the situation a bit and fix this issue.

Is it clear enough?
msg173613 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-23 13:20
New changeset 957a6c00d3af by Andrew Svetlov in branch '3.3':
Issue #16241: document -X faulthandler command line option.
http://hg.python.org/cpython/rev/957a6c00d3af

New changeset 665e3be40ad1 by Andrew Svetlov in branch 'default':
Issue #16241: document -X faulthandler command line option.
http://hg.python.org/cpython/rev/665e3be40ad1
msg173615 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-23 13:29
Looks good to me, committed.
Thanks, Marek.
Please, fill PSF Contributor Agreement: http://www.python.org/psf/contrib/
msg173616 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-10-23 13:33
Andew: Shouldn't Misc/NEWS be updated, too?
msg173617 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-23 13:37
Do you think so? It was documenting already existed feature.
But, if you really want I can do it of course.
msg173637 - (view) Author: Marek Šuppa (mrshu) * Date: 2012-10-23 20:27
I already filled and signed the PSF Contributor Agreement thanks to Petri at the PyCon Finland sprint.
msg173638 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-23 20:35
Thank you, Marek
msg173731 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-10-25 06:06
Andrew: Generally all changes deserve a Misc/NEWS entry, see:

  http://docs.python.org/devguide/committing.html#news-entries

The feature was new in 3.3, but this change only went in after the release of 3.3.0, so ISTM that a Misc/NEWS entry is required.
msg173744 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-25 08:38
New changeset e816851fb30d by Andrew Svetlov in branch '3.3':
Update NEWS for issue #16241
http://hg.python.org/cpython/rev/e816851fb30d

New changeset af93948ca33d by Andrew Svetlov in branch 'default':
Update NEWS for issue #16241
http://hg.python.org/cpython/rev/af93948ca33d
msg173745 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-25 08:39
Well, I have updated the NEWS file.
History
Date User Action Args
2012-10-25 08:39:19asvetlovsetmessages: + msg173745
2012-10-25 08:38:45python-devsetmessages: + msg173744
2012-10-25 06:06:38petri.lehtinensetmessages: + msg173731
2012-10-23 20:35:39asvetlovsetmessages: + msg173638
2012-10-23 20:27:18mrshusetmessages: + msg173637
2012-10-23 13:37:09asvetlovsetmessages: + msg173617
2012-10-23 13:33:40petri.lehtinensetnosy: + petri.lehtinen
messages: + msg173616
2012-10-23 13:29:41asvetlovsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-10-23 13:29:13asvetlovsetnosy: + asvetlov
messages: + msg173615
2012-10-23 13:20:22python-devsetnosy: + python-dev
messages: + msg173613
2012-10-23 11:24:40mrshusetfiles: + issue16241.diff

nosy: + mrshu
messages: + msg173591

keywords: + patch
2012-10-15 16:04:22ezio.melottisetnosy: + haypo, ezio.melotti
stage: needs patch
type: enhancement

versions: + Python 3.4
2012-10-15 15:05:21Ramchandra Aptecreate